---
title: VideoPlaybackQuality.creationTime
slug: Web/API/VideoPlaybackQuality/creationTime
tags:
  - API
  - Experimental
  - Media
  - Media Playback Quality
  - Media Playback Quality API
  - Property
  - Quality
  - Reference
  - Video
  - VideoPlaybackQuality
  - creationTime
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The read-only <strong><code>creationTime</code></strong> property on the {{domxref("VideoPlaybackQuality")}} interface reports the number of milliseconds since the browsing context was created this quality sample was recorded.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> = <em>videoPlaybackQuality</em>.creationTime;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMHighResTimeStamp")}} object which indicates the number of milliseconds that elapased between the time the browsing context was created and the time at which this sample of the video quality was obtained.</p>

<p>For details on how the time is determined, see {{domxref("Performance.now()")}}.</p>

<h2 id="Example">Example</h2>

<p>This example calls <code>getVideoPlaybackQuality()</code> to obtain a {{domxref("VideoPlaybackQuality")}} object, then determines what percentage of frames have been lost by either corruption or being dropped. If that exceeds 10% (0.1), a function called <code>lostFramesThresholdExceeded()</code> is called to, perhaps, update a quality indicator to show an increase in frame loss.</p>

<pre class="brush: js">var videoElem = document.getElementById("my_vid");
var quality = videoElem.getVideoPlaybackQuality();

if ((quality.corruptedVideoFrames + quality.droppedVideoFrames)/quality.totalVideoFrames &gt; 0.1) {
  lostFramesThresholdExceeded();
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Media Playback Quality', '#videoplaybackquality-interface', 'VideoPlaybackQuality.corruptedVideoFrames')}}</td>
			<td>{{Spec2('Media Playback Quality')}}</td>
			<td>Initial definition.</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.VideoPlaybackQuality.creationTime")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
	<li>The {{domxref("HTMLVideoElement.getVideoPlaybackQuality()")}} method, which returns <code>VideoPlaybackQuality</code> objects</li>
</ul>
